=== debian/changelog ===
nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu5) focal; urgency=medium

  * No change rebuild with new version of openstack-pkg-tools to resolve
    issue with generation of systemd unit configurations (LP: #1866568).

 -- James Page <james.page@ubuntu.com>  Mon, 09 Mar 2020 10:09:54 +0000

nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu4) focal; urgency=medium

  * d/p/libvirt-provide-backing-file-format-creating-qcow2.patch: Without this
    patch, domains (instances) can't be launched with libvirt 6.0.0. Picked
    from https://review.opendev.org/#/c/708745/ (LP: #1864020).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Feb 2020 09:05:50 -0500

nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu3) focal; urgency=medium

  * d/nova-compute.service.in: Added service.in override file in order to
    pick up systemd default UMask of 0022, ensuring libvirt can access
    run-time files created in /var/lib/nova/instances/ (LP: #1864922).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Feb 2020 11:36:14 -0500

nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu2) focal; urgency=medium

  * d/p/monkey-patch-original-current-thread-active.patch: Cherry-picked from
    https://review.opendev.org/#/c/707474/. This fixes nova service failures
    that autopkgtests are hitting with Python 3.8 (LP: #1863021).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Feb 2020 09:35:53 -0500

nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu1) focal; urgency=medium

  [ Corey Bryant ]
  * d/rules: Drop removal of debian/python-nova/usr/etc.

  [ Sahid Orentino Ferdjaoui ]
  * d/control: Remove vlan dependency since not needed anymore by
    nova-compute-libvirt (LP: #1856279).
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py38-failure.patch: Refreshed.
  * d/p/arm-console-patch.patch: Refreshed.
  * d/control: Removed min version for python3-hacking.

  [ Corey Bryant ]
  * d/skip-py38-failure.patch: Dropped. Fixed in upstream snapshot.
  * d/control, d/nova-xvpvncproxy.*: Drop nova-xvpvncproxy inline with
    upstream removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 16:36:54 -0500

nova (2:21.0.0~b1~git2019120415.45fb747c98-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/arm-console-patch.patch: Rebased.
  * d/p/skip-py38-failure.patch: Skip py38 failure until fixed upstream.
  * d/p/skip-test-needing-mock-3.patch: Dropped. No longer needed.
  * d/control, d/nova-console.*, d/nova-network.*, d/source_nova.py, d/tests/*:
    Remove nova-{console,dhcpbridge,network} inline with upstream removal.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Dec 2019 15:35:30 -0500
