## nova 21.0.0~b3~git2020041013.57ff308d6d

=== requirements.txt ===
--- 
+++ 
@@ -32,16 +32,16 @@
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
-websockify>=0.8.0 # LGPLv3
+websockify>=0.9.0 # LGPLv3
 oslo.cache>=1.26.0 # Apache-2.0
-oslo.concurrency>=3.26.0 # Apache-2.0
+oslo.concurrency>=3.29.0 # Apache-2.0
 oslo.config>=6.1.0 # Apache-2.0
 oslo.context>=2.21.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.21.1 # Apache-2.0
 oslo.upgradecheck>=0.1.1
-oslo.utils>=3.40.2 # Apache-2.0
+oslo.utils>=4.1.0 # Apache-2.0
 oslo.db>=4.44.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
 oslo.messaging>=10.3.0 # Apache-2.0
@@ -55,7 +55,7 @@
 oslo.versionedobjects>=1.35.0 # Apache-2.0
 os-brick>=2.6.2 # Apache-2.0
 os-resource-classes>=0.4.0 # Apache-2.0
-os-traits>=2.1.0 # Apache-2.0
+os-traits>=2.2.0 # Apache-2.0
 os-vif>=1.14.0 # Apache-2.0
 os-win>=3.0.0 # Apache-2.0
 castellan>=0.16.0 # Apache-2.0
@@ -71,3 +71,4 @@
 zVMCloudConnector>=1.3.0;sys_platform!='win32'  # Apache 2.0 License
 futurist>=1.8.0 # Apache-2.0
 openstacksdk>=0.35.0 # Apache-2.0
+dataclasses>=0.7;python_version=='3.6'  # Apache 2.0 License
