=== debian/changelog ===
nova (2:21.0.0~b3~git2020041013.57ff308d6d-0ubuntu2) focal; urgency=medium

  * d/tests/nova-daemons: Skip validation that nova-scheduler is
    running; this serivce requires configuration of both keystone and
    the placement service which is beyond the scope of a single unit
    autopkgtest.
  * d/tests/control: Install nova-spiceproxy instead of nova-novncproxy
    during testing as SPICE is the console option supported in Ubuntu
    main.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Apr 2020 09:48:19 +0100

nova (2:21.0.0~b3~git2020041013.57ff308d6d-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/p/revert-generalize-db-conf-group-copying.patch: Dropped. Not needed
    with python3-oslo.db > 4.34.0.
  * d/p/drop-sphinxcontrib-rsvgconverter.patch: Rebased.
  * d/p/skip-ssl-tests.patch: Dropped. No longer needed.
  * d/p/arm-console-patch.patch: Rebased.
  * d/p/monkey-patch-original-current-thread-active.patch: Dropped. Fixed
    in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:00:26 -0400

nova (2:21.0.0~b3~git2020032515.35240b0d8c-0ubuntu2) focal; urgency=medium

  * d/nova-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.
  * d/nova-compute-libvirt.postinst: Add libvirt-qemu user to nova group
    to ensure access to /var/lib/ (LP: #1870415).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Apr 2020 15:08:40 -0400

nova (2:21.0.0~b3~git2020032515.35240b0d8c-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/libvirt-provide-backing-file-format-creating-qcow2.patch: Drop,
    included upstream.
  * d/nova-common.postinst: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 12:05:22 +0000
