=== debian/control ===
--- 
+++ 
@@ -69,7 +69,7 @@
  python3-os-win (>= 3.0.0),
  python3-os-xenapi (>= 0.3.3),
  python3-oslo.cache (>= 1.26.0),
- python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.concurrency (>= 3.29.0),
  python3-oslo.config (>= 1:6.1.0),
  python3-oslo.context (>= 1:2.21.0),
  python3-oslo.db (>= 4.44.0),
@@ -121,7 +121,7 @@
  python3-testtools (>= 2.2.0),
  python3-tooz (>= 1.58.0),
  python3-webob (>= 1:1.8.2),
- python3-websockify (>= 0.8.0),
+ python3-websockify (>= 0.9.0),
  python3-wsgi-intercept (>= 1.7.0),
  python3-zvmcloudconnector (>= 1.3.0),
 Build-Conflicts:
