=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
  nova-api,
  nova-compute,
  nova-conductor,
- nova-novncproxy,
+ nova-spiceproxy,
  nova-scheduler,
  rabbitmq-server,
 Restrictions: needs-root, allow-stderr
