=== debian/changelog ===
nova (2:21.2.4-0ubuntu2.14) focal; urgency=medium

  * Resolve issues with resize of CPU pinned instances (LP: #1944759):
    - d/p/lp1953359-{1,2,3}.patch: Fix resize race condition by applying temporary
    migration context.
    - d/p/1944759-{1,2}.patch: Fix resize cpu pinning resource tracking race
    condition by setting the old_flavor on the source node.

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Mon, 07 Oct 2024 14:58:28 +0100

nova (2:21.2.4-0ubuntu2.13) focal; urgency=medium

  * d/p/lp2024258-database-Archive-parent-and-child-rows-trees-one-at-.patch:
    Fix package install/autopkgtests (IndentationError in test_archive.py:172)
    (LP: #2024258)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 02 Aug 2024 10:29:57 -0300

nova (2:21.2.4-0ubuntu2.12) focal; urgency=medium

  [ Chengen Du ]
  * d/p/lp2024258-database-Archive-parent-and-child-rows-trees-one-at-.patch:
    Performance degradation archiving DB with large numbers of FK
    related records (LP: #2024258)

  [ Mauricio Faria de Oliveira ]
  * Extend the behavior of 'libvirt.cpu_model_extra_flags' for '[+-]flag'
    (backward compatible) to configure CPU flags as required or disabled.
    This is increasingly important for migration as hypervisors with the
    same processor but different stable kernel level might get different
    CPU flags (e.g., AMD EPYC Rome without 'xsaves' per AMD Erratum 1386,
    and PKRU/'xsave' changes), without CPU model updates in libvirt/qemu.
    (LP: #2048517)
    - d/p/lp2048517-1-libvirt-Dont-drop-disabled-CPU-flags-from-XML.patch
    - d/p/lp2048517-2-libvirt-Allow-disabling-CPU-flags.patch
    
  [ Rodrigo Barbieri ]
  * d/p/lp1999814.patch: Rework CPU comparison at startup and add ability
    to skip it. Addresses CascadeLake incompatibility with IceLake.
    (LP: #1999814)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 01 Aug 2024 14:52:10 -0300

nova (2:21.2.4-0ubuntu2.11) focal-security; urgency=medium

  * SECURITY UPDATE: Incomplete file access fix and regression for QCOW2
    backing files and VMDK flat descriptors
    - debian/patches/CVE-2024-40767-pre1.patch: port format inspector tests
      from glance.
    - debian/patches/CVE-2024-40767-pre2.patch: reproduce iso regression
      with deep format inspection.
    - debian/patches/CVE-2024-40767-pre3.patch: add iso file format
      inspector.
    - debian/patches/CVE-2024-40767-pre4.patch: fix qemu-img version
      dependent tests.
    - debian/patches/CVE-2024-40767-pre5.patch: stabilize iso format unit
      tests.
    - debian/patches/CVE-2024-40767.patch: change force_format strategy to
      catch mismatches.
    - CVE-2024-40767
  * Replace CVE-2024-32498 patches with final versions from git.
    - debian/patches/CVE-2024-32498-*
  * debian/control: added qemu-utils to Build-Depends so qemu-img is
    available for new tests.
  * Note: this package does _not_ contain the changes from
    2:21.2.4-0ubuntu2.9 and 2:21.2.4-0ubuntu2.10 in focal-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Jul 2024 14:01:19 -0400

nova (2:21.2.4-0ubuntu2.8) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access via custom QCOW2 external data
    (LP: #2059809)
    - debian/patches/CVE-2024-32498-pre1.patch: create qcow2 disks with the
      correct size without extending.
    - debian/patches/CVE-2024-32498-pre2.patch: add type hints.
    - debian/patches/CVE-2024-32498-pre3.patch: consolidate
      create_cow_image and create_image.
    - debian/patches/CVE-2024-32498-1.patch: reject qcow files with
      data-file attributes.
    - debian/patches/CVE-2024-32498-2.patch: check images with
      format_inspector for safety.
    - debian/patches/CVE-2024-32498-3.patch: additional qemu safety
      checking on base images.
    - debian/patches/CVE-2024-32498-4.patch: fix vmdk_allowed_types
      checking.
    - CVE-2024-32498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 02 Jul 2024 10:51:41 -0400

nova (2:21.2.4-0ubuntu2.6) focal; urgency=medium

  * d/p/lp1960758-ubuntu-uefi-loader-path.patch: add config option
    'ubuntu_libvirt_uefi_loader_path' to restrict UEFI loaders to
    only those shipped/supported in Ubuntu/Ussuri. (LP: #1960758)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 25 Jul 2023 17:34:00 -0300

nova (2:21.2.4-0ubuntu2.5) focal-security; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 10:52:04 -0400

nova (2:21.2.4-0ubuntu2.4) focal-security; urgency=medium

  * SECURITY REGRESSION: Regression with volume drivers (LP: #2019460)
    - debian/patches/CVE-2023-2088.patch: Updated to add missing force
      parameter to various volume drivers.

 -- Corey Bryant <corey.bryant@canonical.com>  Sat, 13 May 2023 09:56:20 -0400

nova (2:21.2.4-0ubuntu2.3) focal-security; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Use force=True for os-brick
      disconnect during delete.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 May 2023 16:59:35 -0400

nova (2:21.2.4-0ubuntu2.2) focal-security; urgency=medium

  * SECURITY UPDATE: DoS vulnerability
    - debian/patches/CVE-2022-37394.patch: Gracefully ERROR in
      _init_instance if vnic_type changed
    - CVE-2022-37394

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 08 Feb 2023 14:05:40 +0530

nova (2:21.2.4-0ubuntu2.1) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access
    - debian/patches/CVE-2022-47951.patch: Check VMDK create-type
      against an allowed list.
    - CVE-2022-47951

 -- Corey Bryant <corey.bryant@canonical.com>  Sun, 29 Jan 2023 11:35:32 -0500

nova (2:21.2.4-0ubuntu2) focal; urgency=medium


