=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-setuptools (>= 16.0),
  python3-sphinx (>= 1.8.0),
  python3-sphinx-feature-classification (>= 0.2.0),
+ qemu-utils,
 Build-Depends-Indep:
  bandit,
  crudini,
@@ -60,7 +61,7 @@
  python3-openstackdocstheme (>= 1.30.0),
  python3-openstacksdk (>= 0.35.0),
  python3-os-api-ref (>= 1.4.0),
- python3-os-brick (>= 2.6.2),
+ python3-os-brick (>= 3.0.1),
  python3-os-resource-classes (>= 0.4.0),
  python3-os-service-types (>= 1.7.0),
  python3-os-testr (>= 1.0.0),
@@ -77,7 +78,7 @@
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 10.3.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 2.3.0),
+ python3-oslo.policy (>= 3.1.0),
  python3-oslo.privsep (>= 1.33.2),
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.rootwrap (>= 5.8.0),
@@ -124,13 +125,14 @@
  python3-websockify (>= 0.9.0),
  python3-wsgi-intercept (>= 1.7.0),
  python3-zvmcloudconnector (>= 1.3.0),
+ systemd,
 Build-Conflicts:
  python-cjson,
  python3-cjson,
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/nova
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
 
 Package: nova-ajax-console-proxy
 Architecture: all
